<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="//rawgithub.com/stidges/jquery-searchable/master/dist/jquery.searchable-1.0.0.min.js"></script>
    <script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script src="//netdna.bootstrapcdn.com/bootstrap/3.1.0/js/bootstrap.min.js"></script>
    <script src="https://kit.fontawesome.com/cbcfed9f1b.js" crossorigin="anonymous"></script>
    <title>Search weather!</title>
  </head>
  <body>
    <div class="container">
      <div class="row">
          <div class="col-lg-12">
              <div class="page-header">
                  <h1>Search weather</h1>
              </div>
               <h4>
                      {% if user.is_authenticated %}
                      Hello, {{ user.username }}!</br>
                      <a href="{% url 'logout' %}">Logout</a><br>
                    {% else %}
                     <p>You are not logged in</p>
                      <a href="{% url 'login' %}">Login Page</a>
                    {% endif %}
                  </h4>
          </div>
      </div>
<form method='POST' enctype="multipart/form-data">
      <div class="row">
          <div class="col-lg-4 col-lg-offset-4">

                {% csrf_token %}
                  <input required type="search" name="cityName"  class="form-control" placeholder="City Name">


          </div>
          <div class="col-lg-4 col-lg-offset-4">
            <button type="submit" class="btn btn-outline-primary">
              <i class="fas fa-search">GO</i>
              </button>
          </div>

      </div>

  </form>
      <br><br>
      <div class="row">
         <div class="col-lg-4 col-lg-offset-4 ">


          近五筆查詢資料：

         </div>

      </div>
      <div class="row">
         <div class="col-lg-4 col-lg-offset-4 ">
           <ul>cookie版本
                <li>
                  {{cookie0}}
                </li>
                 <li>
                  {{cookie1}}
                </li>
                <li>
                  {{cookie2}}
                </li>
                <li>
                  {{cookie3}}
                </li>
                <li>
                  {{cookie4}}
                </li>

             </ul>
         </div>
        <div class="col-lg-4 col-lg-offset-4 ">
           <ul>query版本
              {% for q in query%}
                <li>
                  {{q.cityName}}
                </li>
            {% endfor %}
             </ul>
         </div>
      </div>
      <br><br>
      <div class="row">
         <div class="col-lg-4 col-lg-offset-4">
          <button type="button" class="btn btn-outline-warning"
                      onclick="location.href='{% url 'door:weatherTable'%}';">

                    <i class="fas fa-chevron-circle-right">Result Table</i>
                      </button>
         </div>
      </div>
      <div class="row">
          <div class="col-lg-12">
              <table class="table table-striped" id="table">
                  <thead>
                      <tr>
                        <th>時間</th>
                        <th>溫度(°C)</th>
                        <th>國家</th>
                        <th>位置</th>
                        <th>天氣</th>
                      </tr>
                  </thead>
                  <tbody>
                      <tr>
                          <td>{{record.searchTime}}</td>
                          <td>{{record.degree}}</td>
                          <td>{{record.country}}</td>
                          <td>{{record.cityName}}</td>
                          <td>{{record.weather}}</td>
                      </tr>
                    </tbody>
                </table>
                <hr>
            </div>
        </div>
    </div>
     <script>
        {% if noResult%}
            alert("{{noResult}}")
        {% endif %}
    </script>

  </body>
</html>